# classkit_import

(PECL classkit >= 0.3)

classkit_import — Import new class method definitions from a file

### Description

classkit_import ( string `$filename` ) : array

> Note: This function cannot be used to manipulate the currently running (or chained) method.

Warning

This function is EXPERIMENTAL. The behaviour of this function, its name, and surrounding documentation may change without notice in a future release of PHP. This function should be used at your own risk.

### Parameters

`filename`

  The filename of the class method definitions to import

### Return Values

Associative array of imported methods

### Examples

Example #1 classkit_import() example

`<?php
// file: newclass.php
class Example {
function foo() {
return "bar!\n";
}
}
?>`
`<?php
// requires newclass.php (see above)
class Example {
function foo() {
return "foo!\n";
}
}
$e = new Example();
// output original
echo $e->foo();
// import replacement method
classkit_import('newclass.php');
// output imported
echo $e->foo();
?>`

The above example will output:

    foo!
    bar!

### See Also

- classkit_method_add() - Dynamically adds a new method to a given class
- classkit_method_copy() - Copies a method from class to another